/* Chrome, Safari, Edge, Opera */
input[type="number"]::-webkit-inner-spin-button,
input[type="number"]::-webkit-outer-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

.quantity {
    position: relative;
}
.qty-minus,
.qty-plus {
    position: absolute;
    top:0;
    height: 100%;
    margin-left: 0 !important;
    width: 30px;
    border:0 !important;
}
.qty-minus {
    background: url('../images/ic_minus.svg ') center center no-repeat !important;
    left:-15px;
}
.qty-plus {
    background: url('../images/ic_plus.svg ') center center no-repeat !important;
    right:-15px;
}
.woocommerce .quantity .qty {
    border-radius: 8px;
    background: #F9F3F3;
    width: 120px;
    padding: 20px 10px;
    border:0;
    outline:0;
}

/* single product excerpt */
.view-more-product-desc {
    display: block;
    text-decoration: underline !important;
    margin-top: 10px;
    color: #1E1E1E;
}

.single-product .shorty_desc {
    background: none;
    text-align: left;
    font-weight: 500 !important;
    font-size: 14px;
    line-height: 20px;
    color: #1E1E1E;
    height: auto !important;
}

.ignite-gift-product .elementor-add-to-cart form {
    flex-wrap: wrap !important;
}

.ignite-gift-product div.gcp {
    width: 100%;
    color: rgba(30, 30, 30, 0.65);
}

.ignite-gift-product .gcp input {
    padding: 12px 20px !important;
    border-radius: 8px;
    border: 1px solid rgba(30, 30, 30, 0.25);
    font-size: 16px;
    line-height: 24px;
    color: inherit;
    height: auto;
    margin-left: 20px;
}
.ignite-gift-product .single_add_to_cart_button {
    margin-left: 30px !important;
}

.woocommerce-info, 
.empty-variation-wrap {
    border-radius: 8px;
    border: 0;
    background: #FF5388;
    color: #fff;
    font-size: 14px;
    font-style: normal;
    line-height: 18px;
    padding: 20px;
    margin: 20px 0;
    font-weight: 500;
}

.woocommerce-info::before { 
    content: '';
}

/*From elementor backend Product CSS*/
.woocommerce-Tabs-panel iframe {
    margin-top: 20px;
    height: 400px;
}
.ViabillPricetagHolder {
    display: flex;
    gap: 5px;
    align-items: center;
}
.viabill-lage {
    font-size: 12px;
    color: #1e1e1e;
    font-weight: 700;
    display:none;
}
.single-product.woocommerce div.product div.images .flex-control-thumbs {
    flex-wrap: wrap;
}
.single-product .woocommerce-product-gallery .flex-viewport {
    margin-bottom: 10px;
}
.woocommerce div.product.elementor div.images .flex-control-thumbs li {
        padding: 0px 2px 4px !important;
}

.woocommerce div.product div.images .flex-control-thumbs li {
    margin: 2px !important;
}
	
@media (min-width: 0px) {
    .single-product .woocommerce-product-gallery__image {
        height: 320px;
        display: flex !important;
        align-items: center;
        justify-content: center;
    }
    .woocommerce-product-gallery ul.flex-direction-nav {
        margin: -23px 0 0 0 !important;
    }
    .single.single-product.woocommerce div.product div.images img {
        max-height: 320px !important;
    }
}
@media (min-width: 768px) {
    .single-product .woocommerce-product-gallery__image {
        height: 600px;
    }
    .single.single-product.woocommerce div.product div.images img {
        max-height: 600px !important;
    }
    .woocommerce div.product div.images .flex-control-thumbs li {
        height: 70px !important;
        width: 68px !important;
    }
    .single.single-product.woocommerce div.product div.images .flex-control-thumbs img {
        height: 100%;
        width: 100%;
    }
}
.woocommerce div.product.elementor .woocommerce-tabs .panel {
    border-top: 0 !important;
    margin: 0 !important;
    padding: 15px 0 !important;
}
@media (max-width: 767px) {
    .woocommerce div.product form.cart .variations select {
        width: 94% !important;
    }
    .single-product .woocommerce-tabs .prod-tabs-wrapper {
        width: 100%;
        overflow-x: auto;
    }
    .single-product .woocommerce-tabs .tabs {
        /*width: max-content;*/
        width: auto;
    }

    .single-product.woocommerce div.product div.images .flex-control-thumbs {
        display: none !important;
    }
    .woocommerce div.product.elementor .woocommerce-tabs .panel {
        padding: 15px 20px 15px 0 !important;
    }
}

@media (max-width: 430px) {
    .reset_variations {
        right: 0;
        bottom: -40px;
    }
}
@media (max-width: 400px) {
    .bb-variations-wrap .variations tr {
        display: flex;
        flex-direction: column;
        text-align: left;
    }
    .bb-variations-wrap .variations tr td.label {
        text-align:left;
    }
}	
.woocommerce div.product form.cart .variations

.single_variation_wrap .wc-no-matching-variations {
    margin-bottom: 0;
}
.single_variation_wrap p.stock {
    margin-top: 0;
}
.woocommerce-Tabs-panel .comment-text > div > img {
    position: relative;
    top:-4px;
}
.woocommerce .woocommerce-Tabs-panel #reviews #comments ol.commentlist li .comment-text p.meta {
        font-size: 12px;
}
.woocommerce .woocommerce-Tabs-panel .star-rating::before {
    color: rgb(217, 217, 217);
}
.woocommerce .woocommerce-Tabs-panel .star-rating span::before {
    color: #FF097D;
}
.woocommerce-Tabs-panel > h2,
.woocommerce .woocommerce-Tabs-panel #reviews #comments h2 {
    display: none !important;
}
.woocommerce-Tabs-panel #comments {
    background: transparent !important;
    color: #1e1e1e !important;
}
.single-product form.cart {
    align-items: center;
}
.elementor-widget-woocommerce-product-images .elementor-widget-container {
   position:relative;
}
.woocommerce div.product form.cart div.quantity {
    height: 50px;
}
.woocommerce div.product .product_title.elementor-heading-title {
    height: auto;
    margin-bottom: 9px !important;
    -webkit-line-clamp: unset !important;
}
.woocommerce-Tabs-panel--description li a, .woocommerce-Tabs-panel--description div a, .woocommerce-Tabs-panel--description p a {
    text-decoration: underline;
    color: #1e1e1e;
}
.single-product .onsale {
    position: absolute;
    top: 40px !important;
    left: 0 !important;
    z-index: 2;
    background: #F5CA43 !important;
    border-radius: 0px 8px 8px 0px !important;
    color: #000;
    font-style: normal;
    font-weight: 600;
    line-height: normal !important;
    text-transform: uppercase;
    padding: 10px !important;
    display: inline-block;
    font-size: 14px;
    width: max-content !important;
    height: auto !important;
    min-height: 10px !important;
}
@media only screen and (min-width: 0px) {
    .single-product .onsale {
        font-size: 10px;
    }
}
.woocommerce-product-gallery__image {
    width: 100%;
}
.single-product .woocommerce-notices-wrapper {
    margin-top: 0;
    position: absolute;
    z-index: 2;
    width: 100%;
}
.single-product.woocommerce div.product form.cart .button.xoo-wl-btn {
    min-height: 50px;
    max-width: 100% !important;
    outline: 0 !important;
    padding: 0 16px !important;
    line-height: 50px !important;
    font-size: 20px !important;
    margin-right: 8px;
    text-align: center;
}
.single-product.woocommerce div.product form.cart .button.xoo-wl-btn:after {
    display: none;
}
body.single-product {
    background-color: #f3f3f3;
}
body.single-product .woocommerce-message {
    background-color: #f3f3f3;
    max-width: 1620px;
    margin: 0 auto;
}
.single-product .woocommerce-breadcrumb {
    margin-bottom: 0 !important;
}
.single-product .product_title.entry-title {
    margin-bottom: 5px !important;
}
	
.single-product .woocommerce-notices-wrapper {
    margin-top: 0;
}
body.single-product .woocommerce-message {
    border-top: 0;
}
.woocommerce-tabs .woocommerce-Price-amount.amount {
    color: #1e1e1e;
}
.single-product .woocommerce .woocommerce-breadcrumb {
    margin: 0;
    font-weight: 600;
}
.single-product .woocommerce .woocommerce-breadcrumb a {
    margin: 0;
}
.woocommerce .woocommerce-breadcrumb a {
    font-weight: 400 !important;
}
.woocommerce-page div.product.elementor div.images {
    width: 100% !important;
    border-radius: 8px;
}
.single.single-product.woocommerce div.product div.images img {
    object-fit: cover !important;
    width: 100% !important;
    border-radius: 8px;
}
div.product.elementor .woocommerce-Price-amount.amount {
    color: #1E1E1E;
}
.woocommerce-product-gallery .flex-viewport {
    background: #fff;
    border-radius: 8px;
}
.woocommerce div.product.elementor div.images .flex-control-thumbs li {
    padding: 5px 1px;
}
.single.single-product.woocommerce div.product div.images .flex-control-thumbs img {
    width: 100% !important;
    height: 100% !important;
    object-fit: cover !important;
    border-radius: 8px;
    background: #FFF;
    height: 66px!important;
    width: 66px!important;
}
.single.single-product.woocommerce div.product div.images .flex-control-thumbs img.flex-active {
    box-shadow: 0px 4px 4px 0px rgba(0, 0, 0, 0.25);
}

.single_add_to_cart_button {
    flex: 1;
    margin-left: 20px;
    text-align:left;
    position: relative;
}
button.single_add_to_cart_button.button.alt:before {
    content:""  !important;
    display:none !important;
}
button.single_add_to_cart_button.button.alt:after {
    content: "" !important;
    position: absolute;
    right: 0;
    top: 0;
}
p.stock {	
    color: rgba(30, 30, 30, 0.65) !important;
    padding-top:10px;
    margin-bottom: 0;
    padding-left: 20px;
}
.woocommerce-variation-availability p.stock {
    font-size: 14px !important;
}
.quantity + p.stock {	
    color: rgba(30, 30, 30, 0.65) !important;
    font-style: normal;
    font-weight: 400;
    line-height: 18px !important;
    
    padding: 6px 0 !important;
}
.single-short-desc .shorty_desc {
    -webkit-line-clamp: unset;
    padding: 0;
}
.quantity + p.stock a {
    text-decoration-line: underline;
}
.gratis-box strong {
    font-weight: 700 !important;
    margin-right: 9px;
}
.woocommerce div.product form.cart .button.single_add_to_cart_button {
    margin-left: auto;
}
@media (min-width: 1200px) {
    .woocommerce div.product form.cart .button.single_add_to_cart_button {
            max-width: 215px;
    }
}
@media (min-width: 1440px) {
    .woocommerce div.product form.cart .button.single_add_to_cart_button {
            max-width: 340px;
    }
}
@media (min-width: 1600px) {
    .woocommerce div.product form.cart .button.single_add_to_cart_button {
            max-width: 480px;
    }
}
p.stock.noanchor{
    display:flex;
    height: inherit;
    align-items:center;
}
.woocommerce-variation-availability p.stock.noanchor {
    text-align:left !important;
}
@media (min-width: 0px) {
    .single-product.woocommerce div.product div.images .flex-control-thumbs {
        margin-left: 0 !important;
        margin-right: 0 !important;
        width: 100%;
        justify-content: center;
        display: flex;
    }
    .woocommerce .quantity .qty {
        width: 80px !important;
        padding: 8.5px 10px !important;
    }
    .quantity + p.stock {
        width: 100%;
        line-height: 16px;
        margin-left: 0;
        text-align: center;
    }
    button.single_add_to_cart_button.button.alt:after {
         background: url('../images/ic_plus_add.svg') center center no-repeat;
        width: 48px;
        height: 50px;
    }
}
@media (min-width: 640px) {
    .woocommerce .elementor-add-to-cart .quantity {
        margin-right: 35px !important;
    }
    .quantity + p.stock {	
        width: 150px;
        margin-left: 0;
        margin-right: 20px;
        font-size: 14px !important;
    }
    .woocommerce .quantity .qty {
        padding: 8.5px 10px !important;
        width: 120px !important;
    }
    button.single_add_to_cart_button.button.alt:after {
        background: url('../images/ic_plus_add.svg') center center no-repeat;
        width: 56px;
        height: 50px;
    }
}	
	
/*Right column*/
.custom-product-table * {
    font-size: 14px;
}
.elementor-widget-woocommerce-product-meta .detail-label:after {
    content:":"
}
.single-product .elementor-widget-woocommerce-product-meta .detail-label {
    font-weight: 400;
}
.product_meta .detail-content a {
    text-decoration: underline;
}
.woocommerce div.product .elementor-add-to-cart {
    border-radius: 8px;
    background: #FFF;
    padding: 12px 18px 12px 29px;
}
.woocommerce div.product .elementor-add-to-cart.oos {
    background: transparent;
    padding: 0 !important;
}
.single-product.woocommerce div.product .elementor-add-to-cart.oos form.cart .button.xoo-wl-btn {
    margin: 0;
}
.woocommerce div.product .elementor-add-to-cart.oos form.cart .button.single_add_to_cart_button {
    margin-left: 0 !important;
}
.single_add_to_cart_button {
    border-radius: 200px !important;
    background: #75C778 !important;
    font-size: 22px !important;
    font-weight: 600 !important;
}
.single_add_to_cart_button:hover {
    background: #438A46 !important;
}
.tab-description {
    color: #1E1E1E;
    font-size: 14px;
    font-style: normal;
    font-weight: 700;
    line-height: 20px;
}
.single_add_to_cart_button {
    border-radius: 200px !important;
    background: #75C778 !important;
}
	
.woocommerce-tabs .panel {
    margin-bottom: 20px;
    background-color: transparent;
    border: 0;
    border-radius: 0;
    -webkit-box-shadow: 0 1px 1px rgba(0, 0, 0, .05);
    box-shadow: 0 1px 1px rgba(0, 0, 0, .05);
 }
.woocommerce div.product .woocommerce-tabs ul.tabs {
    padding: 0;
    border-bottom: 1px solid rgba(30, 30, 30, 0.15);
}
.woocommerce div.product.elementor .woocommerce-tabs ul.tabs li {
    border: 0;
    margin: 0;
}
	
.woocommerce div.product.elementor ul.tabs li.active a:after {
    content:"";
    height: 1px;
    position:absolute;
    bottom:0;
    left:0;
    width: 100%;
    background: rgba(30, 30, 30, 1);
}
.woocommerce div.product.elementor ul.tabs li a {
    line-height: 1;
    padding: 10px 0 !important;
    margin-right: 30px;
    position: relative;
 }
.woocommerce-variation-availability .stock {
    padding-top: 0 !important;
    padding-left: 0 !important;
    text-align: left !important;
}
@media (max-width: 639px) {
    form.cart.variations_form .woocommerce-variation-add-to-cart,
    .woocommerce div.product form.cart {
        flex-wrap: wrap !important;
    }
    .woocommerce div.product .elementor-add-to-cart p.stock {
            font-size: 12px;
            line-height: 16px;
            padding-left: 0;
            margin-bottom: 10px;
            width: 100%;
            text-align: center;
            display: block;
            margin-left: 0;
            padding-right: 9px;
    }
    .woocommerce div.product form.cart .button.single_add_to_cart_button {
        margin-left: 20px !important;
    }
}
	
	/*Variable Product*/
	.woocommerce div.product form.cart .variations {
		max-width: 329px !important;
		position: relative;
	}
	.bb-variations-atc-wrap {
		margin-top: 20px !important;
	}
		
	.woocommerce div.product form.cart .variations td {
		width: 100% !important;
	}
	.woocommerce div.product form.cart .variations td.label {
    display: block;
			padding-top: 0;
			padding-bottom: 0;
	}
	.woocommerce div.product form.cart .variations td.label label {
		 line-height: 50px;
		 font-size: 16px;
		 color: #1e1e1e;
		 padding: 0;
		margin: 0;
		font-weight: 500;
	}
	body.single-product .bb-variations-main-wrap {
		display:flex;
		flex-direction: column;
		width: 100%;
		margin-top: 0 !important;
	}
	body.single-product .bb-variations-main-wrap .bb-variations-atc-wrap, body.single-product .bb-variations-main-wrap .bb-variations-wrap {
    width: 100% !important;
		position: relative;
}
	
.custom-select-wrapper {
    position: relative;
    display: inline-block;
    width: 100%; /* Adjust as needed */
    max-width: 329px;
}

.variations select {
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
    background: #FFF url('data:image/svg+xml;utf8,<svg fill="black" height="16" viewBox="0 0 20 20" width="16" xmlns="http://www.w3.org/2000/svg"><path d="M5.516 7.548a.625.625 0 0 1 .884 0L10 11.148l3.6-3.6a.625.625 0 1 1 .884.884l-4.042 4.041a.625.625 0 0 1-.884 0L5.516 8.432a.625.625 0 0 1 0-.884z"/></svg>') no-repeat right 1rem center;
    background-size: 18px;
    padding: 12px 20px !important;
    font-size: 16px;
    line-height: 24px;
    border-radius: 8px;
    border: 1px solid rgba(30, 30, 30, 0.25);
    cursor: pointer;
    width: 100%;
    color: rgba(30, 30, 30, 0.65);
    min-width: max-content !important;
    height: auto !important;
}

.variations select:focus {
  /*border-color: #666;*/
  outline: none;
}
.reset_variations {
    position: absolute;
    line-height: 48px;
    padding: 0 15px;	
}